import 'package:freezed_annotation/freezed_annotation.dart';

import '../../../../../api/marianumcloud/webdav/queries/list_files/list_files_response.dart';

part 'files_state.freezed.dart';
part 'files_state.g.dart';

@freezed
abstract class FilesState with _$FilesState {
  const factory FilesState({
    @Default(<String>[]) List<String> currentPath,
    ListFilesResponse? listing,
  }) = _FilesState;

  factory FilesState.fromJson(Map<String, Object?> json) =>
      _$FilesStateFromJson(json);
}
